description

# RtcDtmfSender class Null safety

Inheritance
  - Object
  - EventTarget
  - RtcDtmfSender
Annotations
  - @Native("RTCDTMFSender")

## Properties

canInsertDtmf → bool?
  @JSName('canInsertDTMF'), read-only
duration → int?
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
interToneGap → int?
  read-only
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
onToneChange → Stream<RtcDtmfToneChangeEvent>
  Stream of `tonechange` events handled by this RtcDtmfSender.
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
toneBuffer → String?
  read-only
track → MediaStreamTrack?
  read-only

## Methods

addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
dispatchEvent(Event event) → bool
  inherited
insertDtmf(String tones, [int? duration, int? interToneGap]) → void
  @JSName('insertDTMF')
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

toneChangeEvent → const EventStreamProvider<RtcDtmfToneChangeEvent>
  Static factory designed to expose `tonechange` events to event handlers that are not necessarily instances of RtcDtmfSender. [...]
  `const EventStreamProvider<RtcDtmfToneChangeEvent>('tonechange')`